Bug 1124914 - Rubygem-Staypuft: Error in Swedish in the deployment status output.
Summary: Rubygem-Staypuft: Error in Swedish in the deployment status output.
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: ruby193-rubygem-foreman-tasks
Version: unspecified
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
: Installer
Assignee: Mike Burns
QA Contact: Omri Hochman
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-30 15:31 UTC by Alexander Chuzhoy
Modified: 2015-04-29 14:48 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-04-29 14:48:41 UTC


Attachments (Terms of Use)

Description Alexander Chuzhoy 2014-07-30 15:31:12 UTC
Rubygem-Staypuft:  Error in Swedish in the deployment status output.

Environment:
rhel-osp-installer-0.1.6-4.el6ost.noarch
openstack-foreman-installer-2.0.16-1.el6ost.noarch
ruby193-rubygem-foreman_openstack_simplify-0.0.6-8.el6ost.noarch
openstack-puppet-modules-2014.1-19.8.el6ost.noarch

Steps to reproduce:
1. Install rhel-osp-installer
2. Create/run a Nova deployment (1 Controller +2 Computes)
3. Check the deployment's output field after the controller is finished.

Result:
Controller (Nova) 100%, Compute (Nova) 32%
Ett fel uppstod: Ip Matchar inte valt Subnät

Expected result:
The errors should be in English.

Comment 3 Dominic Cleal 2014-08-11 07:18:26 UTC
Likely a bug in staypuft, maybe using a Rails controller that doesn't call the set_gettext_locale and set_gettext_locale_db before_filters, so the locale isn't initialised.

Comment 4 Mike Burns 2014-08-11 16:52:14 UTC
The referenced screen is part of foreman-tasks, moving there


Note You need to log in before you can comment on or make changes to this bug.